// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 

#include <eikapp.h>

#include "AudioPlayingDocument.h"
#include "AudioPlayingAppUi.h"

CAudioPlayingDocument* CAudioPlayingDocument::NewL(CEikApplication& aApplication)
	{
	CAudioPlayingDocument* self = new (ELeave) CAudioPlayingDocument(aApplication);
	CleanupStack::PushL(self);
	self->ConstructL();
	CleanupStack::Pop(self);
	return self;
	}


CAudioPlayingDocument::CAudioPlayingDocument(CEikApplication& aApp)
	: CAknDocument(aApp)

	{
	}

void CAudioPlayingDocument::ConstructL()
	{
	}
	
CEikAppUi* CAudioPlayingDocument::CreateAppUiL()
	{
	return static_cast <CEikAppUi*> (new (ELeave) CAudioPlayingAppUi());
	}

// End of File
